FROM docker.io/library/alpine:3.6

RUN apk add --no-cache \
    openjdk7-jre-base \
    py3-openssl
RUN ln -s /usr/bin/python3 /usr/local/bin/python && \
    python3 -mpip install zeroc-icecertutils

ADD ice-ca-certs.py /usr/local/bin

# Certificates are written to the current working directory
WORKDIR /icessl
ENTRYPOINT ["/usr/local/bin/ice-ca-certs.py"]
